无法将项目facet Dynamic Web Module的版本更改为3.0?

问题:

我正在使用maven在Eclipse中创建动态Webapp。我添加了一些文件夹,如src/test/javasrc/test/resources。此外,我更改了Java Build Path中的库,以获取JavaSE-1.7。这一切都可以到这里。
当我尝试改变项目方面动态Web模块出了问题。我在同一个地方将Java改为了1.7。而且还是告诉我,不能将项目方面的动态Web模块版本更改为3.0。
我已经改变了一切会影响变化的想法。

回答:

我更新了我的web.xml

<web-app xmlns="http://java.sun.com/xml/ns/javaee"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://java.sun.com/xml/ns/javaee 
          http://java.sun.com/xml/ns/javaee/web-app_3_0.xsd"
    version="3.0">
    <display-name>Servlet 3.0 Web Application</display-name>
</web-app>

然后只是Maven – &gt;更新项目…

 
 
Code问答: http://codewenda.com/topics/python/
Stackoverflow: Cannot change version of project facet Dynamic Web Module to 3.0?

*转载请注明本文链接以及stackoverflow的英文链接

发表评论

电子邮件地址不会被公开。 必填项已用*标注

− 1 = 4